Subject: bug#40097: 28.0.50; Preferred font ignored for specific charset

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Mar 2020 17:24:23 +0200

> From: Sergey Organov <[email-masked]>
> Date: Tue, 17 Mar 2020 07:31:02 +0300
> 
> When there is some particular charset property on text, Emacs chooses
> to render it using font that has matching encoding, such as:
> 
> x:-xos4-terminus-medium-r-normal--16-160-72-72-c-80-microsoft-cp1251 (#xEF)
> 
> for windows-1251 charset rather than the default font:
> 
> ftcrhb:-PfEd-DejaVu Sans Mono-normal-normal-normal-*-15-*-*-*-m-0-iso10646-1
> 
> even though the default (unicode) font does support corresponding
> characters.

Can you show all the fonts on your system that have microsoft-cp1251
as their registry/encoding?  AFAIK, this is done with xlsfonts.